<?php
 session_start();
    
   include("db.php");
   include("../pdate.php");
   $currencyId=$_GET['currency'];
   
    $startDate="1397-01-01";
    $endDate=pdate("Y-m-d");
	 //===================currency Name====================
   $currencyName_sql="select * from currencies where id='$currencyId'";
   $currencyName_query= $db ->query($currencyName_sql);
   $currencyName_row=$currencyName_query ->fetch_array();
   $currencyName=$currencyName_row['name'];
   
   
   //===================currency Name====================
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 
<html xmlns="http://www.w3.org/1999/xhtml">
<title>Customer Payment List</title>
<head>
   <link rel="icon" href="../images/favicon.ico" type="image/png"/>  
   <link rel="stylesheet" href="table_style/table_style7.css">
   <link href="../css/pagenation.css" rel="stylesheet" type="text/css" /> 

<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="../css/print.css" /> 
<!-- ===================ÇíÌÇÏ íÇã ÈÑÇí æíÑÇíÔ ÝÇíá====================================-->
<script type="text/javascript" src="../change/edite/revenue_edite.js"></script> 
<script type="text/javascript" src="../change/delete/revenue_delete.js"></script>
 
<!--======================= ÇíÇä  ============================================================-->
 <style>
 a:link {
    text-decoration: none;
	color: #000;
}

 a:hover {
    color: red;
	text-decoration: underline;
}
a:active {
     
    color: #000;
}

@font-face {
	  font-family: 'hekmat';
	  src: url('../font/BHoma.ttf'); /* IE */
      src: local('BHoma-Bold'), url('../font/BHoma.ttf') format('truetype'); /* non-IE */
      font-weight:normal;
}
.font{
    color: #000;
    font-family: 'hekmat';  

}
@media print {

   .dontPrint {
       display:none;
    }

    }
	
	@media all{
.page-break{display:none;}
}
@media print{
.page-break{display:block;page-break-after:always;}
.dote img {visibility: visible;}
}
 
@page 
{
   size: auto;   /* auto is the initial value */
    margin: 3mm;  /* this affects the margin in the printer settings */
 }
  @media print {
    html, body {
        height: 99%;    
    }
}
 </style>

</head>
	<body onkeydown = "onKeyDown()" onKeyPress="return disableEnterKey(event)">
 <?php  //include("r_c_d_s_p/back_print_save_refresh.php"); ?>
<div id="wrap">
<table border="0" align="center"   width="930px" dir="rtl" class="font">
		<tr>
			<th style="width:166px;text-align:right">
			   
			</th>	 
			
			
			
			
			<?php 
			       
 
			  
				  echo '</th>
				<th style="width:206px"><h3>';
				include("../info/companyName.php");
				echo '</h3>بـــردگــی مشتــریان&nbsp<br>'.$currencyName;
			    
				 
			  
			  ?>
			
			<th style="width:186px;text-align:left;height: 40px" > </th>
			 
		</tr>
		</table> 

 <div id='content'>
 
  <?php
   //if($_POST['submit']){
     
	
	 
	
	 
	
	
    include("db.php");
	$tableName="customerpayment";		
	$targetpage = "operation_customerBordegi.php"; 	
	$limit = 3000; 
	 
 
	$sql="SELECT COUNT(*) as num FROM `$tableName`  where remove='0' and  transacttype='2'  and transactCurrency='$currencyId' and (date between '$startDate' and '$endDate')";
	  
	$query= $db ->query($sql);
	$total_pages= $query ->fetch_array();
	
	 
	$total_pages = $total_pages[num];
	
	$stages = 3;
	$page = mysql_escape_string($_GET['page']);
	if($page){
		$start = ($page - 1) * $limit; 
	}else{
		$start = 0;	
		}	
	//================================================inter page cods HERE===============================================
    // Get page data
		
	  //echo "<div id='content'>";
	
	  echo'
			<table id="box-table-a"   dir="rtl"  align="center" >
	        <thead> 
				<th scope="col">شماره</th>
				<th scope="col">مشتری</th>
				<th scope="col">تاریخ</th>
				<th scope="col">نوعیت پول</th>
				<th scope="col">مقدار</th>
				 
			</thead>
				 ';
    // Get page data
	 echo "<div id='content'>";
	  
			                include('db.php');
				            

						  
						 
					    $customer_recive_sql="SELECT * FROM `customerpayment` where remove='0' and  transacttype='2'  and transactCurrency='$currencyId' and (date between '$startDate' and '$endDate')"; 
					    $customer_recive_query= $db ->query($customer_recive_sql);
					    while($customer_recive_row=$customer_recive_query ->fetch_array()){
                           
						    $ii++;
							$id = $customer_recive_row['id'];
							 
							$date= $customer_recive_row['date'];
							$customerId= $customer_recive_row['customerId'];
							$transactCurrency= $customer_recive_row['transactCurrency'];
							$amount= $customer_recive_row['amount'];
						    $totalAmount+=$amount; 
							 
							 
							 
							//=============================================================
							 
							 
							//******************************Currency Name*******************************
							 $countercurrency_sql="select name from  `currencies` where id='$transactCurrency'";
							 $countercurrency_query=$db ->query($countercurrency_sql);
							 $countercurrency_row=$countercurrency_query ->fetch_array();
							 $countercurrency=$countercurrency_row['name'];	
							//=============================================================
							 //******************************customer Name*******************************
							 $customerName_sql="select name from  `customers` where id='$customerId'";
							 $customerName_query=$db ->query($customerName_sql);
							 $customerName_row=$customerName_query ->fetch_array();
							 $customerName=$customerName_row['name'];	
							//=============================================================
							 
							    
						    //**************************************************************************************************   
							 
							 
			echo "<tbody>
			<tr>
			<td>".$ii."</td>
			<td>".$customerName."</td>
			<td>".$date."</td>
			<td>".$countercurrency."</td> 
			<td>".number_format($amount)."</td> 
			 
			 </tr>";					  
				 	  }
          if($counterCurrency!="all"){					  
		      echo '<tr style="color: red"><td colspan="5" style="font-weight: bold">'.number_format($totalAmount).'</td></tr>';
		 
		 }
		 echo '</table>';
         	
	 echo "<br></div>";
//====================================================================================================================
	// Initial page num setup
	if ($page == 0){$page = 1;}
	$prev = $page - 1;	
	$next = $page + 1;							
	$lastpage = ceil($total_pages/$limit);		
	$LastPagem1 = $lastpage - 1;					
	
	
	$paginate = '';
	if($lastpage > 1)
	{	
	

	
	
		$paginate .= "<div class='paginate'>";
		// Previous
		if ($page > 1){
			$paginate.= "<a href='$targetpage?page=$prev & startDate=$startDate & endDate=$endDate & transactiontype=$transacttype & counterCurrency=$counterCurrency'>previous</a>";
		}else{
			$paginate.= "<span class='disabled'>previous</span>";	}
			

		
		// Pages	
		if ($lastpage < 7 + ($stages * 2))	// Not enough pages to breaking it up
		{	
			for ($counter = 1; $counter <= $lastpage; $counter++)
			{
				if ($counter == $page){
					$paginate.= "<span class='current'>$counter</span>";
				}else{
					$paginate.= "<a href='$targetpage?page=$counter &  startDate=$startDate & endDate=$endDate & transactiontype=$transacttype & counterCurrency=$counterCurrency'>$counter</a>";}					
			}
		}
		elseif($lastpage > 5 + ($stages * 2))	// Enough pages to hide a few?
		{
			// Beginning only hide later pages
			if($page < 1 + ($stages * 2))		
			{
				for ($counter = 1; $counter < 4 + ($stages * 2); $counter++)
				{
					if ($counter == $page){
						$paginate.= "<span class='current'>$counter</span>";
					}else{
						$paginate.= "<a href='$targetpage?page=$counter &  startDate=$startDate & endDate=$endDate & transactiontype=$transacttype & counterCurrency=$counterCurrency'>$counter</a>";}					
				}
				$paginate.= "...";
				$paginate.= "<a href='$targetpage?page=$LastPagem1 &  startDate=$startDate & endDate=$endDate & transactiontype=$transacttype & counterCurrency=$counterCurrency'>$LastPagem1</a>";
				$paginate.= "<a href='$targetpage?page=$lastpage  & startDate=$startDate & endDate=$endDate & transactiontype=$transacttype & counterCurrency=$counterCurrency'>$lastpage</a>";		
			}
			// Middle hide some front and some back
			elseif($lastpage - ($stages * 2) > $page && $page > ($stages * 2))
			{
				$paginate.= "<a href='$targetpage?page=1 & startDate=$startDate & endDate=$endDate & transactiontype=$transacttype & counterCurrency=$counterCurrency'>1</a>";
				$paginate.= "<a href='$targetpage?page=2 & startDate=$startDate & endDate=$endDate & transactiontype=$transacttype & counterCurrency=$counterCurrency'>2</a>";
				$paginate.= "...";
				for ($counter = $page - $stages; $counter <= $page + $stages; $counter++)
				{
					if ($counter == $page){
						$paginate.= "<span class='current'>$counter</span>";
					}else{
						$paginate.= "<a href='$targetpage?page=$counter & startDate=$startDate & endDate=$endDate & transactiontype=$transacttype & counterCurrency=$counterCurrency'>$counter</a>";}					
				}
				$paginate.= "...";
				$paginate.= "<a href='$targetpage?page=$LastPagem1 & startDate=$startDate & endDate=$endDate & transactiontype=$transacttype & counterCurrency=$counterCurrency'>$LastPagem1</a>";
				$paginate.= "<a href='$targetpage?page=$lastpage   & startDate=$startDate & endDate=$endDate & transactiontype=$transacttype & counterCurrency=$counterCurrency'>$lastpage</a>";		
			}
			// End only hide early pages
			else
			{
				$paginate.= "<a href='$targetpage?page=1  & startDate=$startDate & endDate=$endDate & transactiontype=$transacttype & counterCurrency=$counterCurrency'>1</a>";
				$paginate.= "<a href='$targetpage?page=2 & startDate=$startDate & endDate=$endDate & transactiontype=$transacttype  & counterCurrency=$counterCurrency'>2</a>";
				$paginate.= "...";
				for ($counter = $lastpage - (2 + ($stages * 2)); $counter <= $lastpage; $counter++)
				{
					if ($counter == $page){
						$paginate.= "<span class='current'>$counter</span>";
					}else{
						$paginate.= "<a href='$targetpage?page=$counter & startDate=$startDate & endDate=$endDate & transactiontype=$transacttype & counterCurrency=$counterCurrency'>$counter</a>";}					
				}
			}
		}
					
				// Next
		if ($page < $counter - 1){ 
			$paginate.= "<a href='$targetpage?page=$next & startDate=$startDate & endDate=$endDate & transactiontype=$transacttype & counterCurrency=$counterCurrency'>next</a>";
		}else{
			$paginate.= "<span class='disabled'>next</span>";
			}
			
		$paginate.= "</div>";		
	
	
}
 
 echo $paginate;
 die;
//}

?>
<!--==========================================================================================-->  
<!--==========================================================================================-->  
<!--==========================================================================================-->  
	 
			
 </tbody></table>
</div>
</div>  
 </body>
 </form>
 </html>  
  
 
     